Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.collection
Class CollectionInterceptorUtil

    java.lang.Object
      org.jboss.cache.pojo.collection.CollectionInterceptorUtil

    public class CollectionInterceptorUtil

extends Object

CollectionInterceptorUtil contains helper methods for the interceptors of the different collection types.

Author:
  Harald Gliebe, Ben Wang

Constructor Summary
`CollectionInterceptorUtil()`

Method Summary
`static org.jboss.aop.proxy.ClassProxy` | `createListProxy(PojoCacheImpl cache, org.jboss.cache.Fqn fqn, Class clazz, List obj)`
`static org.jboss.aop.proxy.ClassProxy` | `createMapProxy(PojoCacheImpl cache, org.jboss.cache.Fqn fqn, Class clazz, Map obj)`
`static org.jboss.aop.proxy.ClassProxy` | `createSetProxy(PojoCacheImpl cache, org.jboss.cache.Fqn fqn, Class clazz, Set obj)`
`static AbstractCollectionInterceptor` | `getInterceptor(org.jboss.aop.proxy.ClassProxy proxy)`
`static Map` | `getManagedMethods(Class clazz)`
`static Map` | `getMethodMap(Class clazz)`
`static Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation, AbstractCollectionInterceptor interceptor, Object impl, Map methodMap, Map managedMethods)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionInterceptorUtil

    public CollectionInterceptorUtil()

Method Detail

### createMapProxy

    public static org.jboss.aop.proxy.ClassProxy createMapProxy(PojoCacheImpl cache,
                                                                org.jboss.cache.Fqn fqn,
                                                                Class clazz,
                                                                Map obj)
                                                         throws Exception

  Throws:
    `Exception`

### createListProxy

    public static org.jboss.aop.proxy.ClassProxy createListProxy(PojoCacheImpl cache,
                                                                 org.jboss.cache.Fqn fqn,
                                                                 Class clazz,
                                                                 List obj)
                                                          throws Exception

  Throws:
    `Exception`

### createSetProxy

    public static org.jboss.aop.proxy.ClassProxy createSetProxy(PojoCacheImpl cache,
                                                                org.jboss.cache.Fqn fqn,
                                                                Class clazz,
                                                                Set obj)
                                                         throws Exception

  Throws:
    `Exception`

### getInterceptor

    public static AbstractCollectionInterceptor getInterceptor(org.jboss.aop.proxy.ClassProxy proxy)

### getMethodMap

    public static Map getMethodMap(Class clazz)

### getManagedMethods

    public static Map getManagedMethods(Class clazz)

### invoke

    public static Object invoke(org.jboss.aop.joinpoint.Invocation invocation,
                                AbstractCollectionInterceptor interceptor,
                                Object impl,
                                Map methodMap,
                                Map managedMethods)
                         throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 JBoss, a division of Red Hat. All Rights Reserved.